apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: tn-fds-ishare-demo
namePrefix: ishare-provider-
commonLabels:
  digilab/type: tenant
  digilab/tenant: fds
  digilab/app: ishare-provider
  digilab/app-slug: fds-ishare-provider
resources:
  - ../../base
  - vpa.yaml
  - flux.yaml
images:
  - name: ishare-provider
    newName: registry.gitlab.com/ibds-fds/ontwikkeling/ishare-provider
    newTag: v0.0.1 # {"$imagepolicy": "tn-fds-ishare-demo:ishare-provider-ip:tag"}
patches:
  - target:
      kind: Ingress
      name: ing
    patch: |-
      - op: replace
        path: /spec/rules/0/host
        value: ishare-provider.apps.digilab.network
      - op: replace
        path: /spec/tls/0/hosts/0
        value: ishare-provider.apps.digilab.network
